Skip to content

Electricity bill get providers

| View as Markdown

This API will display all the available providers for electricity to make a payment. So, retrieving details like provider name, id, biller logo of electricity bill providers as a response before making an electricity bill payment.

https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-providers
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-providers' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
FieldTypeDescription
statusNumeric400- fail,200-success(length 3)
messageTextsuccess, fail
dataText{ “1”: { “provider_name”: “Chamundnagar Electricity”, “provider_id”: “1”, “required_fields”: “AccountIDRABDRPORConsumerNumberConnectionIDNon-RABDRP”, “fields_validation”: ”^[0-9A-Za-z]{10}$”, “biller_logo”: “https://example.com/hg/images/billerlogo/CESCOM000KAR01.gif” }, “3”: { “provider_name”: “Arunachal Power (APDCL RAPDR)”, “provider_id”: “3”, “required_fields”: “ConsumerID”, “fields_validation”: ”^[0-9]{11}$”, “biller_logo”: “https://example.com/hg/images/billerlogo/APDCL0000ASM01.gif” }, }
{
"status" :"200",
"message": "success",
"data": {
"1": {
"provider_name": "Chamundnagar Electricity",
"provider_id": "1",
"required_fields": "AccountIDRABDRPORConsumerNumberConnectionIDNon-RABDRP",
"fields_validation": "^[0-9A-Za-z]{10}$",
"biller_logo": "https://example.com/hg/images/billerlogo/CESCOM000KAR01.gif"
},
"3": {
"provider_name": "Arunachal Power (APDCL RAPDR)",
"provider_id": "3",
"required_fields": "ConsumerID",
"fields_validation": "^[0-9]{11}$",
"biller_logo": "https://example.com/hg/images/billerlogo/APDCL0000ASM01.gif"
},
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}